aboutsummaryrefslogtreecommitdiffstats
path: root/tests/db-exclusive-lock/t
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2022-02-23 22:30:45 +0100
committerGuilhem Moulin <guilhem@fripost.org>2022-02-23 23:43:58 +0100
commit2447861913835637bbf49d96728ce9ac6ab0ae22 (patch)
tree4f865a799547eb6b2a6728de37e65a6f07665b4e /tests/db-exclusive-lock/t
parent4d36557a007f06196affe14afd1a2bd2a4945c44 (diff)
interimap, pullimap: Ensure DB and statefiles are created with mode 0600.
It wasn't the case for interimap(1), see https://bugs.debian.org/608604 … Fortunately we create $XDG_DATA_HOME/interimap with a secure mode, but there is no reason to have the DB world-readable. Since we can't rely on SQLITE_OPEN_CREATE for secure mode we use sysopen(,,O_CREAT,0600).
Diffstat (limited to 'tests/db-exclusive-lock/t')
-rw-r--r--tests/db-exclusive-lock/t4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/db-exclusive-lock/t b/tests/db-exclusive-lock/t
index 7cbe550..837d21b 100644
--- a/tests/db-exclusive-lock/t
+++ b/tests/db-exclusive-lock/t
@@ -10,7 +10,7 @@ sleep .5
# subsequent runs fail as we can't acquire the exclusive lock
! interimap || error
-grep -Ex "DBD::SQLite::db do failed: database is locked at (\S+/)?interimap line 177\." <"$STDERR" \
- || error "Is \$DBH->do(\"PRAGMA locking_mode = EXCLUSIVE\"); at line 177?"
+grep -Ex "DBD::SQLite::db do failed: database is locked at (\S+/)?interimap line 181\." <"$STDERR" \
+ || error "Is \$DBH->do(\"PRAGMA locking_mode = EXCLUSIVE\"); at line 181?"
# vim: set filetype=sh :